from colorsys import hsv_to_rgb

from .common import BaseDMXLight


class PulsarChromaflood200(BaseDMXLight):
    name = "Pulsar Chromaflood 200 (10-Channel Mode)"

    def _dump(self):
        return self.address, [
            self.red,
            self.green,
            self.blue,
            0,
            0,
            0,  # chase 1
            0,
            0,
            0,  # chase 2
            self.intensity,
        ]
