from .common import BaseDMXLight


class StairvillePar56(BaseDMXLight):
    name = "Stairville PAR 36/56/64"

    def _dump(self):
        offset = self.intensity / 255
        return self.address, [
            0,  # RGB mode
            int(self.red * offset),
            int(self.green * offset),
            int(self.blue * offset),
            0,  # speed
        ]
